Eclipse Platform Release 3.7

## org.eclipse.debug.core.model
Interface IMemoryBlockRetrievalExtension

All Superinterfaces:
  IMemoryBlockRetrieval

    public interface IMemoryBlockRetrievalExtension

extends IMemoryBlockRetrieval

Extended capabilities for memory block retrieval. Supports the retrieval of memory blocks based on an expression and context.

Since:
  3.1

Method Summary
`IMemoryBlockExtension` `getExtendedMemoryBlock(String expression, Object context)` Retrieves and returns a memory block.

Methods inherited from interface org.eclipse.debug.core.model.IMemoryBlockRetrieval
`getMemoryBlock, supportsStorageRetrieval`

Method Detail

### getExtendedMemoryBlock

    IMemoryBlockExtension getExtendedMemoryBlock(String expression,
                                                 Object context)
                                                 throws DebugException

  Retrieves and returns a memory block.

  Parameters:
    `expression` - expression to be evaluated to an address
    `context` - context for evaluating the expression. This is typically a debug element.
  Returns:
    a memory block based on the given expression and context
  Throws:
    `DebugException` - if unable to retrieve the specified memory

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.